Skip to main content
POST
/
sdk
/
v1
/
runs
/
{runID}
/
memory
/
{key}
Set a memory value
curl --request POST \
  --url https://api.strait.dev/sdk/v1/runs/{runID}/memory/{key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "<unknown>",
  "ttl_secs": 123
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "job_id": "<string>",
  "memory_key": "<string>",
  "project_id": "<string>",
  "size_bytes": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "value": "<unknown>",
  "$schema": "<string>",
  "ttl_expires_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

runID
string
required
key
string
required

Body

application/json
value
any
required
ttl_secs
integer<int64>

Response

OK

created_at
string<date-time>
required
id
string
required
job_id
string
required
memory_key
string
required
project_id
string
required
size_bytes
integer<int64>
required
updated_at
string<date-time>
required
value
any
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/JobMemory.json"

ttl_expires_at
string<date-time>